# $Revision: 1.42 $, $Date: 2012/02/12 08:12:11 $
Summary:	Printed Circuit Board design tool
Summary(pl.UTF-8):	PCB - narzędzie do projektowania płytek drukowanych
Name:		pcb
Version:	20080202
Release:	6
License:	GPL
Group:		X11/Applications
# devel snaps: http://dl.sourceforge.net/pcb/
Source0:	http://dl.sourceforge.net/pcb/%{name}-%{version}.tar.gz
# Source0-md5:	933eda642f3838b24d417224693f8386
#Source0:	ftp://ftp.uni-ulm.de/pub/pcb/mirror/%{name}-%{version}.tar.gz
URL:		http://pcb.sourceforge.net/
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gd-devel
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel >= 2.0.0
BuildRequires:	perl-XML-Parser
BuildRequires:	pkgconfig
BuildRequires:	xorg-lib-libXpm-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_appdefsdir	/usr/X11R6/lib/X11/app-defaults

%description
Pcb is a handy tool for the X Window System build to design printed
circuit boards.

%description -l pl.UTF-8
Pcb jest podręcznym narzędziem pod X Window System do projektowania
płytek drukowanych.

%prep
%setup -q

%build
export LDFLAGS="-L%{_x_libraries}"
%configure \
	WISH="%{_bindir}/wish" \
	--disable-update-desktop-database \
	--disable-update-mime-database

%{__make} -i \
	CC="%{__cc}" \
	CDEBUGFLAGS="%{rpmcflags}" \
	PCBLIBDIR=%{_datadir}/pcb

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_infodir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	PCBLIBDIR=%{_datadir}/pcb \
	BINDIR=%{_bindir}

install doc/pcb.info* $RPM_BUILD_ROOT%{_infodir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc README_FILES/* example
%attr(755,root,root) %{_bindir}/*
##%attr(755,root,root) %{_bindir}/pcb
##%attr(755,root,root) %{_bindir}/pcb-bin
#%{_appdefsdir}/Pcb
%{_datadir}/pcb
%{_mandir}/man1/*
%{_infodir}/pcb.info*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pcb.spec,v $
Revision 1.42  2012/02/12 08:12:11  arekm
- release 6

Revision 1.41  2012/02/07 22:05:27  arekm
- release 5

Revision 1.40  2011/12/20 19:35:58  arekm
- release 4

Revision 1.39  2010/02/09 01:13:43  sparky
- BR: gettext-devel, perl-XML-Parser, pkgconfig
- dropped BR: tetex-dvips, tetex-format-latex, texinfo, xorg-lib-libICE-devel
- specify WISH path so tk won't be needed at build time

Revision 1.38  2010/02/06 21:09:46  arekm
- release 3

Revision 1.37  2009/07/12 13:27:24  arekm
- release 2

Revision 1.36  2008/07/25 12:57:08  agaran
- up to 20080202, rel 1, builds here (almost Ac) and builds on Th too (modulo X buildreqs)

Revision 1.35  2008/01/24 01:23:01  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.34  2007-11-20 05:36:28  luzik
- updated to 20070912

Revision 1.33  2007/02/13 07:16:52  glen
- tabs in preamble

Revision 1.32  2007/02/12 00:49:18  baggins
- converted to UTF-8

Revision 1.31  2006/06/07 08:08:32  cieciwa
- release 1,
- removed "dirty hack".

Revision 1.30  2006/06/07 07:34:07  cieciwa
- version 20060422,
- release 0.01,
- updated MD5 sum.

Revision 1.29  2006/02/28 23:37:25  glen
- adapterized (killed trailing spaces/tabs)

Revision 1.28  2005/10/19 06:46:36  cieciwa
- updated to 20050609,
- release 0.99,
- updated MD5 sum,
- added dirthy hack to build program - empty file src/menu.h - looks like program works OK.

Revision 1.27  2005/03/23 20:18:23  qboosh
- use metapackage name in BR

Revision 1.26  2005/03/23 08:53:02  cieciwa
- release 0.9,
STBR

Revision 1.25  2005/03/23 08:42:15  cieciwa
- updated to version 20050315.
NFY

Revision 1.24  2004/11/30 23:49:30  pbern
- log fix
- now run correctly, but without components lib

Revision 1.23  2004/11/30 22:44:08  pbern
- upto 20040903
- rel 0.1
- clean

Revision 1.22  2004/04/04 13:58:32  qboosh
- added glibc.patch, fixed appdefsdir, moved pcb data to /usr/share
- release 6 for Ac

Revision 1.21  2003/05/28 13:00:15  malekith
- massive attack: source-md5

Revision 1.20  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.19  2003/01/18 22:54:56  juandon
- removed two lines with define

Revision 1.18  2002/09/05 13:42:48  qboosh
- added workaround for -D_XOPEN_SOURCE that breaks <varargs.h> on alpha
- new %%doc, release 5

Revision 1.17  2002/02/23 04:17:26  kloczek
- adapterized.

Revision 1.16  2002/02/22 23:29:23  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/01/18 02:14:09  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/12/05 07:24:01  kloczek
- typos.

Revision 1.13  2001/12/01 16:59:57  kloczek
- added BuildRequires tules,
- do not include all documentation (onlu refcard.ps),
- added info patch (added info index entry),
- simplifications in %build and %install
- added %post/%postun with regenerate info index,
NOTE: it will be good add png icon and desktop file for pcb.

Revision 1.12  2001/11/29 21:34:38  filon
- fixed and modified broken docs
- release 4

Revision 1.11  2001/10/09 09:45:53  qboosh
- adapterized, added pl translations, gzip some %%doc

Revision 1.10  2001/10/09 09:28:35  cieciwa
- release 3,
- fixed problem with man install.

Revision 1.9  2000/06/09 07:23:27  kloczek
- added using %%{__make} macro.

Revision 1.8  2000/06/07 04:21:51  kloczek
- spec adapterized.

Revision 1.7  2000/04/01 11:15:16  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.6  2000/03/28 16:54:43  baggins
- translated kloczkish into english

Revision 1.5  1999/07/12 23:06:12  kloczek
- added using CVS keywords in %changelog (for automating them).
